Package org.apache.sysds.runtime.compress.lib

## Class CLALibSlice

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibSlice

    public class CLALibSlice
    extends Object

### Constructor Summary

Constructors
`CLALibSlice()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `slice​(CompressedMatrixBlock cmb, int rl, int ru, int cl, int cu, boolean deep)`
`static List<MatrixBlock>` `sliceBlocks​(CompressedMatrixBlock cmb, int blen)` Slice blocks of compressed matrices from the compressed representation.
`static CompressedMatrixBlock` `sliceColumns​(CompressedMatrixBlock cmb, int cl, int cu)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibSlice

    public CLALibSlice()

### Method Detail

#### sliceBlocks

    public static List<MatrixBlock> sliceBlocks​(CompressedMatrixBlock cmb,
                                                int blen)

Slice blocks of compressed matrices from the compressed representation.

Parameters:
  `cmb` - The input block to slice.
  `blen` - The length of the blocks.
Returns:
  A list containing CompressedMatrixBlocks or MatrixBlocks

#### slice

    public static MatrixBlock slice​(CompressedMatrixBlock cmb,
                                    int rl,
                                    int ru,
                                    int cl,
                                    int cu,
                                    boolean deep)

#### sliceColumns

    public static CompressedMatrixBlock sliceColumns​(CompressedMatrixBlock cmb,
                                                     int cl,
                                                     int cu)